----------------------------------------------------------------------
-- file:   create_eds_account.sql
-- action: creates user accounts and roles
-- usage:  connect as SYSTEM
--         run this script
--
----------------------------------------------------------------------

set echo off
set define on
set verify off

accept DAT_ACCOUNT char prompt 'Account name for EDS Tool   =>'
accept DAT_PASSWORD char prompt 'Password for EDS Tool   =>'
prompt


set echo on

spool create_eds_account.log

drop user &&DAT_ACCOUNT cascade;

create user &&DAT_ACCOUNT
 identified by &&DAT_PASSWORD
 default tablespace USERS
 profile DEFAULT
;


grant EDS_CONNECTOR to &&DAT_ACCOUNT;

alter user &&DAT_ACCOUNT default role all;


create synonym &&DAT_ACCOUNT .ANALYSIS_RESULTS for CWS_DATA.ANALYSIS_RESULTS;
create synonym &&DAT_ACCOUNT .ANALYSIS_SAMPLES for CWS_DATA.ANALYSIS_SAMPLES_EDS;
create synonym &&DAT_ACCOUNT .DETECTION_INDICATORS for CWS_DATA.DETECTION_INDICATORS;
create synonym &&DAT_ACCOUNT .LOCATIONS for CWS_DATA.LOCATIONS;
create synonym &&DAT_ACCOUNT .PARAMETER_TYPE_RESULTS for CWS_DATA.PARAMETER_TYPE_RESULTS;
create synonym &&DAT_ACCOUNT .APPLICATION_VARIABLES for CWS_DATA.APPLICATION_VARIABLES_EDS;


create synonym &&DAT_ACCOUNT .ANALYSIS_RESULT for CWS_DATA.ANALYSIS_RESULT;
create synonym &&DAT_ACCOUNT .MESSAGE for CWS_DATA.APPLICATION_MESSAGE;
create synonym &&DAT_ACCOUNT .PARAMETER_TYPE_RESULT for CWS_DATA.PARAMETER_TYPE_RESULT;

spool off
