----------------------------------------------------------------------
-- file:   cws_privileges.sql
-- action: configure grants and privileges CWS schema objects
-- usage:  connect as SYSTEM
--         run this script
--
----------------------------------------------------------------------

set echo on

spool cws_privileges.log

-- tables 

grant select, insert, update, delete on CWS_DATA.ANALYSIS_BATCHES to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.ANALYSIS_RESULTS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.ANALYSIS_RESULTS_ARCHIVE to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.ANALYSIS_RUNS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.ANALYSIS_SAMPLES to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.ANALYSIS_SAMPLES_EDS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.ANALYSIS_VARIABLES to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.APPLICATIONS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.APPLICATION_PROPERTIES to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.APPLICATION_variables to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.BASELINE_DATA to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.CONTAMINANTS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.DETECTION_INDICATORS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.LOCATIONS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.LOCATION_PARAMETERS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.MESSAGES to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.PARAMETERS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.PARAMETER_TYPES to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.PARAMETER_TYPE_RESULTS to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.PARAMETER_TYPE_RESULTS_ARCHIVE to CWS_CONNECTOR;
grant select, insert, update, delete on CWS_DATA.PATTERNS to CWS_CONNECTOR;

grant create any table to CWS_CONNECTOR;
grant alter any table to CWS_CONNECTOR;
grant drop any table to CWS_CONNECTOR;
grant create any table to CWS_CONNECTOR;
alter user EDDIES quota unlimited on USERS;

grant select on CWS_DATA.ANALYSIS_RESULTS to EDS_CONNECTOR;
grant select on CWS_DATA.ANALYSIS_SAMPLES_EDS to EDS_CONNECTOR;
grant select on CWS_DATA.DETECTION_INDICATORS to EDS_CONNECTOR;
grant select on CWS_DATA.LOCATIONS to EDS_CONNECTOR;
grant select on CWS_DATA.PARAMETER_TYPE_RESULTS to EDS_CONNECTOR;
grant select on CWS_DATA.APPLICATION_VARIABLES_EDS to EDS_CONNECTOR;

create synonym EDDIES.ANALYSIS_BATCHES for CWS_DATA.ANALYSIS_BATCHES;
create synonym EDDIES.ANALYSIS_RESULTS for CWS_DATA.ANALYSIS_RESULTS;
create synonym EDDIES.ANALYSIS_RESULTS_ARCHIVE for CWS_DATA.ANALYSIS_RESULTS_ARCHIVE;
create synonym EDDIES.ANALYSIS_RUNS for CWS_DATA.ANALYSIS_RUNS;
create synonym EDDIES.ANALYSIS_SAMPLES for CWS_DATA.ANALYSIS_SAMPLES;
create synonym EDDIES.ANALYSIS_SAMPLES_EDS for CWS_DATA.ANALYSIS_SAMPLES_EDS;
create synonym EDDIES.ANALYSIS_VARIABLES for CWS_DATA.ANALYSIS_VARIABLES;
create synonym EDDIES.APPLICATIONS for CWS_DATA.APPLICATIONS;
create synonym EDDIES.APPLICATION_PROPERTIES for CWS_DATA.APPLICATION_PROPERTIES;
create synonym EDDIES.APPLICATION_VARIABLES for CWS_DATA.APPLICATION_VARIABLES;
create synonym EDDIES.BASELINE_DATA for CWS_DATA.BASELINE_DATA;
create synonym EDDIES.CONTAMINANTS for CWS_DATA.CONTAMINANTS;
create synonym EDDIES.DETECTION_INDICATORS for CWS_DATA.DETECTION_INDICATORS;
create synonym EDDIES.LOCATIONS for CWS_DATA.LOCATIONS;
create synonym EDDIES.LOCATION_PARAMETERS for CWS_DATA.LOCATION_PARAMETERS;
create synonym EDDIES.MESSAGES for CWS_DATA.MESSAGES;
create synonym EDDIES.PARAMETERS for CWS_DATA.PARAMETERS;
create synonym EDDIES.PARAMETER_TYPES for CWS_DATA.PARAMETER_TYPES;
create synonym EDDIES.PARAMETER_TYPE_RESULTS for CWS_DATA.PARAMETER_TYPE_RESULTS;
create synonym EDDIES.PARAMETER_TYPE_RESULTS_ARCHIVE for CWS_DATA.PARAMETER_TYPE_RESULTS_ARCHIVE;
create synonym EDDIES.PATTERNS for CWS_DATA.PATTERNS;


-- packages

grant execute on CWS_DATA.ANALYSIS_RESULT to CWS_CONNECTOR;
grant execute on CWS_DATA.APPLICATION_MESSAGE to CWS_CONNECTOR;
grant execute on CWS_DATA.MESSAGE to CWS_CONNECTOR;
grant execute on CWS_DATA.PARAMETER_TYPE_RESULT to CWS_CONNECTOR;

grant execute on CWS_DATA.ANALYSIS_RESULT to EDS_CONNECTOR;
grant execute on CWS_DATA.APPLICATION_MESSAGE to EDS_CONNECTOR;
grant execute on CWS_DATA.PARAMETER_TYPE_RESULT to EDS_CONNECTOR;

create synonym EDDIES.ANALYSIS_RESULT for CWS_DATA.ANALYSIS_RESULT;
create synonym EDDIES.APPLICATION_MESSAGE for CWS_DATA.APPLICATION_MESSAGE;
create synonym EDDIES.MESSAGE for CWS_DATA.MESSAGE;
create synonym EDDIES.PARAMETER_TYPE_RESULT for CWS_DATA.PARAMETER_TYPE_RESULT;



-- UNDO Tablespace

ALTER SYSTEM SET UNDO_RETENTION = 20;
ALTER DATABASE DATAFILE 'C:\ORACLEXE\ORADATA\XE\UNDO.DBF' AUTOEXTEND ON NEXT 5M MAXSIZE UNLIMITED;


spool off
