----------------------------------------------------------------------
-- file:   parameter_type_result.sql
-- action: alter/create database package for WS CWS
-- usage:  connect as SYSTEM
--         run this script
--
----------------------------------------------------------------------

set echo on

spool parameter_type_result.log

alter session set CURRENT_SCHEMA = CWS_DATA;

create or replace
package PARAMETER_TYPE_RESULT
is
  procedure ADD_RESULT
  ( APPLICATION_ID       in  varchar2
  , LOCATION_ID          in  varchar2
  , TIME_STEP            in  varchar2
  , PARAMETER_TYPE_ID    in  varchar2
  , ERROR_TEXT           out varchar2
  );

  procedure CUT_RESULT
  ( APPLICATION_ID       in  varchar2
  , LOCATION_ID          in  varchar2
  , TIME_STEP            in  varchar2
  , PARAMETER_TYPE_ID    in  varchar2
  , ERROR_TEXT           out varchar2
  );
end PARAMETER_TYPE_RESULT;
/

show errors

create or replace
package BODY PARAMETER_TYPE_RESULT
is
  procedure ADD_RESULT
  ( APPLICATION_ID       in  varchar2
  , LOCATION_ID          in  varchar2
  , TIME_STEP            in  varchar2
  , PARAMETER_TYPE_ID    in  varchar2
  , ERROR_TEXT           out varchar2
  )
  is
  begin
    insert into PARAMETER_TYPE_RESULTS
     ( APPLICATION_ID
     , LOCATION_ID
     , TIME_STEP
     , PARAMETER_TYPE_ID
     )
     values
     ( add_result.APPLICATION_ID
     , add_result.LOCATION_ID
     , to_date(add_result.TIME_STEP,'mm/dd/yyyy hh:mi am')
     , add_result.PARAMETER_TYPE_ID
     );

    ERROR_TEXT := null;
  exception
    when DUP_VAL_ON_INDEX then
      ERROR_TEXT := 'parameter type result is already on record';
    when others then
      ERROR_TEXT := SQLERRM;
  end ADD_RESULT;

  procedure CUT_RESULT
  ( APPLICATION_ID       in  varchar2
  , LOCATION_ID          in  varchar2
  , TIME_STEP            in  varchar2
  , PARAMETER_TYPE_ID    in  varchar2
  , ERROR_TEXT           out varchar2
  )
  is
  begin
    delete from PARAMETER_TYPE_RESULTS
     where APPLICATION_ID    = cut_result.APPLICATION_ID
     and   LOCATION_ID       = cut_result.LOCATION_ID
     and   TIME_STEP         = to_date(cut_result.TIME_STEP,'mm/dd/yyyy hh:mi am')
     and   PARAMETER_TYPE_ID = cut_result.PARAMETER_TYPE_ID;

    ERROR_TEXT := null;
  exception
    when NO_DATA_FOUND then
      ERROR_TEXT := 'parameter type result is not on record';
    when others then
      ERROR_TEXT := SQLERRM;
  end CUT_RESULT;
end PARAMETER_TYPE_RESULT;
/

show errors

spool off
